Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 439604 - media-video/mplayer2-2.0_p20120828 compilation fails with >=media-video/ffmpeg-0.11
Summary: media-video/mplayer2-2.0_p20120828 compilation fails with >=media-video/ffmpe...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ffmpeg-0.11-breakage
  Show dependency tree
 
Reported: 2012-10-25 12:44 UTC by Lars Wendler (Polynomial-C)
Modified: 2012-11-08 11:49 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
mplayer2-2.0_p20120828.build.log (mplayer2-2.0_p20120828.build.log,19.26 KB, text/plain)
2012-10-25 12:44 UTC, Lars Wendler (Polynomial-C)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2012-10-25 12:44:16 UTC
Created attachment 327388 [details]
mplayer2-2.0_p20120828.build.log

CC      libmpcodecs/vf_kerndeint.o
CC      libmpcodecs/vf_lavc.o
libmpcodecs/vf_lavc.c: In function 'config':
libmpcodecs/vf_lavc.c:79:32: error: 'const struct AVCodec' has no member named 'encode'
libmpcodecs/vf_lavc.c: In function 'put_image':
libmpcodecs/vf_lavc.c:99:5: warning: 'avcodec_encode_video' is deprecated (declared at /usr/include/libavcodec/avcodec.h:4272) [-Wdeprecated-declarations]
make: *** [libmpcodecs/vf_lavc.o] Error 1
 * ERROR: media-video/mplayer2-2.0_p20120828 failed (compile phase):
 *   emake failed


# emerge --info mplayer2
Portage 2.2.0_alpha141 (default/linux/amd64/10.0/desktop/kde, gcc-4.7.2-asneeded, glibc-2.15-r3, 3.4.14 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.4.14-x86_64-Quad-Core_AMD_Opteron-tm-_Processor_2389-with-gentoo-2.2
Timestamp of tree: Thu, 25 Oct 2012 08:45:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.9-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.2::poly-c
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.4
sys-devel/binutils:       2.23
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo kde-sunset poly-c
Installed sets: @system
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=barcelona -mtune=barcelona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-3.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/X11/Sessions /etc/X11/app-defaults /etc/X11/xinit /etc/adobe /etc/bonobo-activation /etc/ca-certificates /etc/ca-certificates.conf /etc/dbus-1 /etc/env.d /etc/fonts /etc/fonts/fonts.conf /etc/foomatic /etc/games /etc/gconf /etc/gentoo-release /etc/gimp /etc/gnome-vfs-2.0 /etc/gre.d /etc/gtk-2.0 /etc/hp /etc/hsqldb /etc/htdig /etc/init.d /etc/iproute2 /etc/java-config-2 /etc/lftp /etc/logrotate.d /etc/ntop /etc/opt /etc/pango /etc/profile.d /etc/qt4 /etc/revdep-rebuild /etc/sandbox.d /etc/sasl2 /etc/sensors.d /etc/sgml /etc/sound /etc/ssl /etc/ssmtp /etc/t1lib /etc/terminfo /etc/vbox /etc/xdg /etc/xinetd.d /etc/xml"
CXXFLAGS="-march=barcelona -mtune=barcelona -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--alphabetical --with-bdeps=y --misspell-suggestions=n --autounmask=n --quiet-build=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs collision-protect config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms sign strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ ftp://ftp.tu-clausthal.de/pub/linux/gentoo/ http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo"
INSTALL_MASK="/lib/systemd /lib32/systemd /lib64/systemd /usr/lib/systemd /usr/lib32/systemd /usr/lib64/systemd"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--sort-common -Wl,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j8"
PKGDIR="/opt/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde-sunset /usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 berkdb branding bzip2 cairo caps cdda cdr cli cracklib crypt css cups cxx dbus declarative dri dts dvd dvdr emboss encode exif faac fam ffmpeg firefox flac gdbm gif gmp gnutls gtk iconv idn inotify jpeg jpeg2k kde kipi lame lcms libnotify lzma mad matroska midi mmap mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nsplugin ogg opengl openmp opus pam pango pcre pdf phonon plasma png ppds pppd qt3support qt4 quicktime readline rtmp schroedinger sdl semantic-desktop session slang spell sse sse2 ssl startup-notification svg theora threads tiff truetype twolame udev unicode upower usb vaapi vcd vorbis vpx wxwidgets x264 xcb xcomposite xinerama xml xscreensaver xv xvid xvmc zlib zsh-completion" ALSA_CARDS="emu10k1 hda-intel usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" ELIBC="glibc" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LIBREOFFICE_EXTENSIONS="pdfimport presenter-console presenter-minimizer" LINGUAS="de en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

media-video/mplayer2-2.0_p20120828 was built with the following:
USE="3dnow 3dnowext X a52 -aalib alsa (-altivec) (-aqua) -bidi -bindist -bl -bluray -bs2b -cddb cdio -cpudetection -debug -directfb (-doc) dts dv -dvb dvd dvdnav -dxr3 enca faad -fbcon ftp -ggi gif iconv -ipv6 -jack -joystick jpeg -ladspa libass -libcaca -lirc mad -md5sum mmx mmxext mng mp3 (multilib) -nas network -nut opengl -oss png -pnm -portaudio -postproc -pulseaudio -pvr quicktime -quvi -radio rar (-real) rtc -samba sdl shm speex sse sse2 -ssse3 -symlink -tga theora truetype unicode -v4l -vdpau vorbis (-win32codecs) -xanim xinerama xscreensaver xv xvid" VIDEO_CARDS="-mga -s3virge -tdfx"
Comment 2 Morris 2012-11-02 04:16:51 UTC
Also, upstream regarding the issue: http://devel.mplayer2.org/ticket/202
Comment 3 Alexis Ballier gentoo-dev 2012-11-08 11:49:05 UTC
(In reply to comment #1)
> I am able to build _all_ in-tree versions (including 9999) with the
> following upstream patch: 
> 
> 
> http://devel.mplayer2.org/
> changeset?format=diff&new=f5e0365c8e76e2ef797027134f1819e613764d7e&old=285099
> d9e892359e85db23f49c1068b6fb0283ed&new_path=%2Flibmpcodecs&old_path=%2Flibmpc
> odecs

applied, thanks!